<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yourstyle+
 */

$ysp_template_layout = 'normal';
do_action('ysp_content_layout_start');
?>

    <?php if (have_posts()) : ?>

        <header class="page-header">
            <?php
                the_archive_title( '<h1 class="page-title">', '</h1>' );
                the_archive_description( '<div class="archive-description">', '</div>' );
            ?>
        </header><!-- .page-header -->
        <?php
        
        do_action('ysp_content_before_loop');

        echo '<div class="c-row">';

        /* Start the Loop */
        while (have_posts()) :
            the_post();

            /**
             * Include the Post-Type-specific template for the content.
             * If you want to override this in a child theme, then include a file
             * called content-___.php (where ___ is the Post Type name) and that will be used instead.
             */
            get_part('content', get_post_type());
        endwhile;
        
        echo '</div>'; // close c-row

        do_action('ysp_content_after_loop');

        do_action('ysp_content_before_pagination');

        ysp_pagination();

        do_action('ysp_content_after_pagination');

    else :

        get_part('content', 'none');

    endif;
    ?>

<?php
do_action('ysp_content_layout_end');
