export const main_sticky_nav = ($) => {

    if ($.isFunction($.fn.sticky)) {

        const mql = window.matchMedia("screen and (min-width: 64em)"); // 1024

        const adminBar = $("#wpadminbar");
        let target = $('.site-header');

        const loggedIn = adminBar.outerHeight();
        let loginAdjust = adminBar.length ? loggedIn : false;

        let headerHeight = target.outerHeight();

        target.sticky().on('sticky-end', function () {
            $(this).parent().css('height', headerHeight);
        });

        /**
         * Sticky header
         */
        if (mql.matches) {
            target.unstick();
            loginAdjust = 0;
            target = $('.site-header');
            headerHeight = target.outerHeight();
            target.sticky({
                topSpacing: loginAdjust
            }).on('sticky-end', function () {
                $(this).parent().css('height', headerHeight);
            });
        }

        window.onresize = () => {
            target.unstick();
            if (mql.matches) {
                loginAdjust = 0;
                target = $('.site-header');
            } else {
                target = $('.site-header');
            }
            headerHeight = target.outerHeight();
            target.sticky({
                topSpacing: loginAdjust
            }).on('sticky-end', function () {
                $(this).parent().css('height', headerHeight);
            });

        }

        // target.unstick();

    }

}