<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package yourstyle+
 */

?>
    <?php do_action('ysp_after_content'); ?>

	</div><!-- #content -->

    <?php do_action('ysp_before_footer'); ?>

    <?php if ( ysp_get_option('ysp-footer-layout') != 'disable' ) : ?>

	<footer id="colophon"<?php echo ysp_site_footer_class(); ?>>
        
        <?php do_action('ysp_prepend_footer'); ?>
        
        <?php get_sidebar('footer'); ?>

        <?php do_action('ysp_append_footer'); ?>

    </footer><!-- #colophon -->

    <?php endif; ?>

    <?php do_action('ysp_after_footer'); ?>
    
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
