<?php
/**
 * Display single product reviews (comments)
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product-reviews.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce/Templates
 * @version 3.6.0
 */

if ( ! class_exists( 'Ysp_Woo_Product_highlight' ) ) {

    class Ysp_Woo_Product_highlight {

        public function __construct() {

            // Add Product Highlight
            add_action( 'woocommerce_after_shop_loop_item_title', array( $this, 'product_highlight' ), 8 );
        }
        
        // Add Product Highlights
        public function product_highlight() {

            // if ( ! wc_review_ratings_enabled() ) {
            // 	return;
            // }
            
            global $product;
            ?>

            <div class="woo-product-highlight">
                <ul>
                    <li>This Is Option 1</li>
                    <li>This Is Option 2</li>
                </ul>
            </div>

            <?php
        }
    }

    // new Ysp_Woo_Product_highlight();

}
