<?php
function ysp_mce_custom_buttons($buttons) {

    array_unshift($buttons, 'styleselect');
    return $buttons;

}
add_filter('mce_buttons_2', 'ysp_mce_custom_buttons');


if(!function_exists('ysp_custom_editor_formats')){

	// Callback function to filter the MCE settings
	function ysp_custom_editor_formats( $init_array ) {  
		// Define the style_formats array
		$style_formats = array(  
			// Each array child is a format with it's own settings
			
			array(
	            'title' => 'Font Size',
                'items' => array(
                    array(
                        'title' => 'Text XS',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',  
                        'classes' => 'u-text-xs',							
                    ),
                    array(
                        'title' => 'Text SM',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',  
                        'classes' => 'u-text-sm',							
                    ),
                    array(
                        'title' => 'Text MD',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',   
                        'classes' => 'u-text-md',								
                    ),
                    array(
                        'title' => 'Text LG',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',   
                        'classes' => 'u-text-lg',   		
                    ),
                    array(
                        'title' => 'Text XL',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',   
                        'classes' => 'u-text-xl',   		
                    ),
                    array(
                        'title' => 'Text H1',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h1',	
                        
                    ),
                    array(
                        'title' => 'Text H2',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h2',								
                    ),
                    array(
                        'title' => 'Text H3',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h3',			
                    ),
                    array(
                        'title' => 'Text H4',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h4',	
                        
                    ),
                    array(
                        'title' => 'Text H5',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h5',								
                    ),
                    array(
                        'title' => 'Text H6',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-h6',			
                    ),
                )
	        ),
	        
	        array(
	            'title' => 'Text Align',
                'items' => array(
                    array(
                        'title' => 'Center',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-text-center',	
                        
                    ),
                    array(
                        'title' => 'Right',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-text-right',			
                    ),
                    array(
                        'title' => 'Left',  
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',    
                        'classes' => 'u-text-left',			
                    ),
                )
	        ),		
			array(
	            'title' => 'Text Colors',
                'items' => array(
	                array(
	                    'title' => 'Text Color 1',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes' => 'u-text-color-1'
	                ),
	                array(
	                    'title' => 'Text Color 2',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes' => 'u-text-color-2'
	                ),
	                array(
	                    'title'=> 'Text Color 3',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-3'
	                ),
	                array(
	                    'title'=> 'Text Color 4',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-4'
	                ),
	                array(
	                    'title'=> 'Text Color 5',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-5'
	                ),
	                array(
	                    'title' => 'Text Color 6',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes' => 'u-text-color-6'
	                ),
	                array(
	                    'title' => 'Text Color 7',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes' => 'u-text-color-7'
	                ),
	                array(
	                    'title'=> 'Text Color 8',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-8'
	                ),
	                array(
	                    'title'=> 'Text Color 9',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-9'
	                ),
	                array(
	                    'title'=> 'Text Color 10',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-0'
	                ),
	                array(
	                    'title'=> 'Text color Body',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-body'
	                ),
	                array(
	                    'title'=> 'Text color White',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-white'
	                ),
	                array(
	                    'title'=> 'Text color Black',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
	                    'classes'  => 'u-text-color-black'
	                ),
	            )
	        ),
	        array(
	            'title' => 'Font Weight',
                'items' => array(
	                array(
	                    'title'=> 'Normal',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                   
	                    'classes'  => 'u-text-normal'
	                ),
	                array(
	                    'title'=> 'Lighter',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                   
	                    'classes'  => 'u-text-lighter'
	                ),
	                array(
	                    'title'=> 'Light',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                   
	                    'classes'  => 'u-text-light'
	                ),
	                array(
	                    'title' => 'Bold',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                  
	                    'classes' => 'u-text-bold'
	                ),
	                array(
	                    'title' => 'Bolder',
	                    'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                     
	                    'classes' => 'u-text-bolder'
	                )  
	            )
	        ),
			array(
	            'title' => 'Font Family',
                'items' => array(
                    array(
                        'title'=> 'Body Font',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                   
                        'classes'  => 'u-font-family-one'
                    ),	               
                    array(
                        'title' => 'Heading Font',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',                     
                        'classes' => 'u-font-family-two'
                    )  
	            )
	        ),
	        array(
	            'title' => 'Margins',
                'items' => array(
                    array(
                        'title' => 'Margin Bottom None',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => '',
                    ),
                    array(
                        'title' => 'Margin Bottom 0',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-0',
                    ),
                    array(
                        'title' => 'Margin Bottom 1',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-1',
                    ),
                    array(
                        'title' => 'Margin Bottom 2',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-2',
                    ),
                    array(
                        'title' => 'Margin Bottom 3',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-3',
                    ),
                    array(
                        'title' => 'Margin Bottom 4',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-4',
                    ),
                    array(
                        'title' => 'Margin Bottom 5',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-5',
                    ),
                    array(
                        'title' => 'Margin Bottom 6',
                        'selector' => 'span, p, h1, h2, h3, h4, h5, h6',
                        'classes' => 'u-mb-6',
                    ),
                )
	        )
		);  
		// Insert the array, JSON ENCODED, into 'style_formats'
		$init_array['style_formats'] = json_encode( $style_formats );  
		
		return $init_array;  
	  
	} 
}
// Attach callback to 'tiny_mce_before_init' 
add_filter( 'tiny_mce_before_init', 'ysp_custom_editor_formats' ); 