<?php 
/**
 * 7 Shortcode for icons
 * ex: [ysp_icon].
 *
 * @param array $atts an associative array of attributes, or an empty string if no attributes are given
 *
 * @return string
 */
if (!function_exists('ysp_icon_shortcode')) {
    function ysp_icon_shortcode($atts) {
        $options = shortcode_atts(
            array(
            'icon_name' => '',
            'icon_prefix' => '',
            'icon_size' => '',
            'icon_color' => '',
            'icon_class' => '',
            'icon_link' => '',
            ), $atts
        );

        // Build the argument list
        $icon_args = array(
            'icon_name' => $options['icon_name'],
            'icon_prefix' => $options['icon_prefix'],
            'icon_size' => $options['icon_size'],
            'icon_color' => $options['icon_color'],
            'icon_class' => $options['icon_class'],
            'icon_link' => $options['icon_link'],
        );

        $output = '';

        if (function_exists('ysp_run_icon')) {
            $output .= ysp_run_icon($icon_args);
        }

        return $output;
    }
}