if (_.isUndefined(window.vc)) var vc = {
    atts: {}
};
if (function ($) {
        var YspVcHeroHeightParam = Backbone.View.extend({
            events: {},
            $lg_height_placeholder_value: !1,
            $lg_size_placeholder_value: !1,
            initialize: function () {
                _.bindAll(this, "setLgPlaceholders")
            },
            render: function () {
                return this
            },
            save: function () {
                var data = [];
                return this.$el.find(".ysp_vc_hero_height_field").each(function () {
                    var $field = $(this);
                    $field.is(":checkbox:checked") ? data.push($field.attr("name")) : $field.is("select") && "" !== $field.val() && data.push($field.val())
                }), data
            },
            setLgPlaceholders: function () {
                var height = this.$lg_height_placeholder_value.val().replace(/[^\d]/g, "");
                this.$lg_size.find("option:first").text(YspVcI8nHeroHeightParam.inherit_default), this.$lg_height.find("option:first").text(height ? YspVcI8nHeroHeightParam.inherit + height : "")
            }
        });
        vc.atts.ysp_hero_height = {
            parse: function (param) {
                var $field = this.content().find("input.wpb_vc_param_value." + param.param_name),
                    ysp_hero_height = $field.data("YSPvcHeroHeight"),
                    result = ysp_hero_height.save();
                return result.join(" ")
            },
            init: function (param, $field) {
                $('[data-hero-height="true"]', $field).each(function () {
                    var $this = $(this),
                        $field = $this.find(".wpb_vc_param_value");
                    $field.data("YSPvcHeroHeight", new YspVcHeroHeightParam({
                        el: $this
                    }).render())
                })
            }
        }
    }(window.jQuery), _.isUndefined(window.vc)) var vc = {
    atts: {}
};