<?php

/* Search Engine warning */

add_action('admin_bar_menu', 'ysp_search_engine_blocked_warning', 9999);
function ysp_search_engine_blocked_warning($bar)
{
    if (get_option('blog_public') == 0) {
        $bar->add_menu(array(
            'id' => 'ysp_search_engine_blocked_warning',
            'title' => '<span class="dashicons-before dashicons-hidden">' . __('Search Engines BLOCKED', 'yourstyle-plus') . '</span>',
            'href' => 'options-reading.php',
            'meta' => array(
                'target' => '_self',
                'title' => __('Discourage search engines from indexing this site', 'yourstyle-plus'),
            ),
        ));
    }
}

add_action('wp_head', 'ysp_search_engine_blocked_warning_css');
add_action('admin_head', 'ysp_search_engine_blocked_warning_css');
function ysp_search_engine_blocked_warning_css()
{
    if (is_user_logged_in()) {
        echo '
            <style>
                #wpadminbar #wp-admin-bar-ysp_search_engine_blocked_warning .dashicons-before { font-weight:bold; }
                #wpadminbar #wp-admin-bar-ysp_search_engine_blocked_warning .dashicons-before::before { vertical-align: middle; padding-right: 5px; }
                #wpadminbar #wp-admin-bar-ysp_search_engine_blocked_warning { background-color: #ff0000; }
            </style>';
    }
}