<?php
/**
 * The sidebar containing the main widget area.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Yourstyle
 */

if ( is_active_sidebar( 'woocommerce' ) || is_active_sidebar( 'sidebar-1' ) || is_active_sidebar( 'sidebar-2' ) ) :
?>

<aside id="secondary" <?php echo ysp_sidebar_area_class(); ?> role="complementary">

<?php
if ( class_exists( 'WooCommerce' ) ) {
    if ( is_shop() || is_product_category() || is_product_tag() ) {
        if ( is_active_sidebar( 'woocommerce' ) ) {
            // Woo Mobile Filter Header
            $filterHeader = '';
            $filterHeader .= '<div class="woo-mobile-filter__header">';
                $filterHeader .= '<span class="woo-mobile-filter__title">'. __( 'Filter', YSP_TEXT_DOMAIN ) .'</span>';
                $filterHeader .= '<span id="wooMobileFilterClose" class="woo-mobile-filter__close">';
                    $filterHeader .= '<div class="ico-wrap"><svg aria-hidden="true" focusable="false" data-prefix="fal" data-icon="times" class="svg-inline--fa fa-times fa-w-10" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 320 512"><path fill="currentColor" d="M193.94 256L296.5 153.44l21.15-21.15c3.12-3.12 3.12-8.19 0-11.31l-22.63-22.63c-3.12-3.12-8.19-3.12-11.31 0L160 222.06 36.29 98.34c-3.12-3.12-8.19-3.12-11.31 0L2.34 120.97c-3.12 3.12-3.12 8.19 0 11.31L126.06 256 2.34 379.71c-3.12 3.12-3.12 8.19 0 11.31l22.63 22.63c3.12 3.12 8.19 3.12 11.31 0L160 289.94 262.56 392.5l21.15 21.15c3.12 3.12 8.19 3.12 11.31 0l22.63-22.63c3.12-3.12 3.12-8.19 0-11.31L193.94 256z"></path></svg></div>';
                $filterHeader .= '</span>';
            $filterHeader .= '</div>';
            echo $filterHeader;
            // Woo Mobile Filter
            dynamic_sidebar( 'woocommerce' );
        }
    }
}

if ( is_active_sidebar( 'sidebar-1' ) ) {
    dynamic_sidebar( 'sidebar-1' );
}

if ( is_active_sidebar( 'sidebar-2' ) ) {
    dynamic_sidebar( 'sidebar-2' );
}
?>

</aside><!-- #secondary -->

<?php endif; ?>