<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package yourstyle+
 */

$blog_layout = ysp_get_option('ysp-blog-layout');
if ( $blog_layout ) {
    $ysp_template_layout = $blog_layout;
} else {
    $ysp_template_layout = 'small';
}
do_action('ysp_content_layout_start');

    while (have_posts()) :
        the_post();

        get_part('content', 'single-post');

        // If comments are open or we have at least one comment, load up the comment template.
        if ( ysp_customizer_defaults('ysp-blog-single-comments') ) {
            if (comments_open() || get_comments_number()) {
                comments_template();
            }
        }

    endwhile; // End of the loop.
        
    if ( ysp_get_option('ysp-blog-single-prevnext-links') ) :
        ysp_single_navigation();
    endif;

do_action('ysp_content_layout_end');