<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package WPS_Prime_2
 */
$ysp_template_layout = 'fullwidth';
remove_action('ysp_before_content', 'ysp_spacing_before_content');
do_action('ysp_content_layout_start');
?>
	
    <?php if( ysp_get_option('ysp-custom-404-page') ): ?>

        <?php get_template_part( 'template-parts/content', 'custom-404' ); ?>           

    <?php else: ?>

        <?php get_template_part( 'template-parts/content', 'default-404' ); ?>            

    <?php endif; ?>

<?php
remove_action('ysp_after_content', 'ysp_spacing_after_content');
do_action('ysp_content_layout_end');