yourstyle+
===

Wordpress Theme created for developers

## Features
* Build with SASS.
* Lots of customizable features via the Customizer.

## Third-Party Libraries
* Normalize
* Bootstrap Grid

## Plugin Support
* Jetpack
* WPBakery Page Builder
* WooCommerce

## Changelog

### 1.17.0 - 2023-06-27
* Feature: You can now set external image URLs in the Image and Mediabox component.
* Improvement: Column and Row components now show image previews in back-end.
* Improvement: You can now set a default colour for buttons across the whole site.

### 1.16.3 - 2023-06-23
* Improvement: Image and Mediabox components now show image previews in back-end.
* Improvement: Small tweaks to animations.

### 1.16.2 - 2023-06-14
* Improvement: Added trigger events for the mega menu.

### 1.16.1 - 2023-04-20
* Improvement: Removed necessary image sizes

### 1.16.0 - 2023-02-01
* Feature: Added option to use a link on accordion titles.
* Feature: Added Search Engine warning when Search Engines are discouraged.
* Feature: Added support for WebVTT subtitle files on background videos.

### 1.15.0 - 2023-01-12
* Feature: Added Landingpage Template
* Feature: Added seperate header menu for the Landingspage Template
* Feature: Added options to the Swiper Slider component to change the visible slides for XS, SM, MD and LG breakpoints

### 1.14.8 - 2023-01-09
* Bugfix: The background video does not change to the mobile version on mobile devices

### 1.14.7 - 2022-12-23
* Improvement: Added filter 'ysp_page_settings' that can be used to alter the post types that show the Page Settings Metabox and that are effected by the metafields it is adding.

### 1.14.6 - 2022-12-15
* Improvement: Added German language file, but it is still far from completely translated.

### 1.14.5 - 2022-10-25
* Bugfix: In some situations, the 5 column set-up was not working as expected.

### 1.14.4 - 2022-09-12
* Improvement: Classes are now added to the body object for certain Page Settings.

### 1.14.3 - 2022-08-31
* Bugfix: In some situations, the Child Pages component was not working as expected.

### 1.14.2 - 2022-08-30
* Improvement: Classes for the Swiper slider components are now randomized, this will prevent problems when using multiple sliders on a single page.

### 1.14.1 - 2022-08-04
* Bugfix: When using a video from Vimeo as a background image, the video would not autoplay.