/**
 * File swiper.js.
 */
export const main_swiper = ($) => {
    if (typeof Swiper != "undefined") {

        // Full width slider
        var mySwiper = new Swiper('.ysp-anything-swiper-container .swiper-container', {
            // Optional parameters
            loop: true,
            autoplayDisableOnInteraction: false,
            autoplay: 4000,
            slidesPerView: 1,
            // Navigation arrows
            navigation: {
                nextEl: '.ysp-anything-swiper-button-next',
                prevEl: '.ysp-anything-swiper-button-prev',
            },

            // If we need pagination
            pagination: {
                el: '.swiper-pagination',
                type: 'bullets',
                clickable: true
            },
            // And if we need scrollbar
            //scrollbar: {
            //  el: '.swiper-scrollbar',
            //  draggable: true,
            //} 
        });

        // Anything Slider
        var YspAnySwiper = new Swiper('.ysp-anything-swiper-container', {
            // Optional parameters
            loop: true,
            autoplayDisableOnInteraction: false,
            disableOnInteraction: false,
            autoplay: 4000,
            slidesPerView: 1,
            // Navigation arrows
            navigation: {
                nextEl: '.ysp-anything-swiper-button-next',
                prevEl: '.ysp-anything-swiper-button-prev',
            },

            // If we need pagination
            pagination: {
                el: '.swiper-pagination',
                type: 'bullets',
                clickable: true
            },
            // And if we need scrollbar
            //scrollbar: {
            //  el: '.swiper-scrollbar',
            //  draggable: true,
            //} 
        });
    }
}