<?php

if ( ! function_exists( 'ysp_is_woo_active' ) ) {
	/**
	 * Query WooCommerce activation
	 */
	function ysp_is_woo_active() {
		return class_exists( 'WooCommerce' ) ? true : false;
	}
}

if (!function_exists('woo_switch')) {

    function woo_switch() {

        $woo_active_status = ysp_is_woo_active();

        // Check if YSP woo is enabled from config and woocommerce is activated
        if ( $woo_active_status ) {
            return true;
        }
        return false;

    }

}