<?php

if ( ! function_exists( 'ysp_column_hidden_columns' ) ) {
    
    /**
     * Theme Set Default Hidden Columns.
     *
     * @since 1.4.3
     */
    function ysp_column_hidden_columns( $hidden ) {
        if ( ! is_array( $hidden ) ) {
            $hidden = [];
        }

        array_push( $hidden, 'page_title_visibility', 'spacing_before_content', 'spacing_after_content' );

        return $hidden;
    }
}
add_filter( 'default_hidden_columns', 'ysp_column_hidden_columns', 10 );