<?php
/**
 *  Typography Settings
 *
 * @package yourstyle_plus
 */

/* Font Weights */
$typo_font_weights = ysp_get_option('ysp-typography-font-weights');
$font_weights = $typo_font_weights ? $typo_font_weights : '400,700';

/* Add Fonts */
$ysp_font =  ysp_fonts_setup();

/* Arima Madurai - Serif */
$ysp_font->add_font('Arima Madurai',
    'serif',
    'https://fonts.googleapis.com/css?family=Arima+Madurai:'. $font_weights,
    'font-weight: 400',
    'font-weight: 700'
);

/* Cabin - Sans-Serif */
$ysp_font->add_font('Cabin',
    'sans-serif',
    'https://fonts.googleapis.com/css?family=Cabin:'. $font_weights,
    'font-weight: 400',
    'font-weight: 700'
);

/* Catamaran - Sans-Serif */
$ysp_font->add_font('Catamaran',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Catamaran:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Cormorant - Serif */
$ysp_font->add_font('Cormorant',
    'serif',
    'https://fonts.googleapis.com/css?family=Cormorant:'. $font_weights,
    'font-weight: 400',
    'font-weight: 700'
);

/* Cormorant Garamond - Serif */
$ysp_font->add_font('Cormorant Garamond',
	'serif',
	'https://fonts.googleapis.com/css?family=Cormorant+Garamond:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Dancing Script - Cursive */
$ysp_font->add_font('Dancing Script',
	'cursive',
	'https://fonts.googleapis.com/css?family=Dancing+Script:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Dosis - Sans-Serif */
$ysp_font->add_font('Dosis',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Dosis:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Exo 2 - Sans-Serif */
$ysp_font->add_font('Exo 2',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Exo+2:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Expletus Sans - Cursive */
$ysp_font->add_font('Expletus Sans',
    'cursive',
    'https://fonts.googleapis.com/css?family=Expletus+Sans:'. $font_weights,
    'font-weight: 400',
    'font-weight: 700'
);

/* Josefin Sans - Sans-Serif */
$ysp_font->add_font('Josefin Sans',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Josefin+Sans:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Josefin Slab - Serif */
$ysp_font->add_font('Josefin Slab',
	'serif',
	'https://fonts.googleapis.com/css?family=Josefin+Slab:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Lato - Sans-Serif */
$ysp_font->add_font('Lato',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Lato:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Libre Baskerville - Serif */
$ysp_font->add_font('Libre Baskerville',
	'serif',
	'https://fonts.googleapis.com/css?family=Libre+Baskerville:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Montserrat - Sans-Serif */
$ysp_font->add_font('Montserrat',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Montserrat:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Merriweather - Serif */
$ysp_font->add_font('Merriweather',
	'serif',
	'https://fonts.googleapis.com/css?family=Merriweather:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Muli - Sans-Serif */
$ysp_font->add_font('Muli',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Muli:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Nunito - Sans-Serif */
$ysp_font->add_font('Nunito',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Nunito:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Open Sans - Sans-Serif */
$ysp_font->add_font('Open Sans',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Open+Sans:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Oswald - Cursive */
$ysp_font->add_font('Oswald',
	'cursive',
	'https://fonts.googleapis.com/css?family=Oswald:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Playfair Display - Serif */
$ysp_font->add_font('Playfair Display',
	'serif',
	'https://fonts.googleapis.com/css?family=Playfair+Display:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* PT Sans - Sans-Serif */
$ysp_font->add_font('PT Sans',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=PT+Sans:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Raleway - Sans-Serif */
$ysp_font->add_font('Raleway',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Raleway:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Roboto - Sans-Serif */
$ysp_font->add_font('Roboto',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Roboto:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Roboto Mono - Sans-Serif */
$ysp_font->add_font('Roboto Mono',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Roboto+Mono:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Rubik - Sans-Serif */
$ysp_font->add_font('Rubik',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Rubik:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Source Sans Pro - Sans-Serif */
$ysp_font->add_font('Source Sans Pro',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Source+Sans+Pro:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Titillium Web - Sans-Serif */
$ysp_font->add_font('Titillium Web',
	'sans-serif',
	'https://fonts.googleapis.com/css?family=Titillium+Web:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);

/* Trirong - Serif */
$ysp_font->add_font('Trirong',
	'serif',
	'https://fonts.googleapis.com/css?family=Trirong:'. $font_weights,
	'font-weight: 400',
	'font-weight: 700'
);