<?php
/**
 * Theme Shortcodes Admin Buttons translation
 *
 * @package yourstyle_plus
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; }

if ( ! class_exists( '_WP_Editors' ) ) {
	require ABSPATH . WPINC . '/class-wp-editor.php'; }

/**
 * Translation function
 */
function ysp_button_translation() {
	$strings = array(
		'button_label' => __( 'YSP Shortcode Helper', YSP_TEXT_DOMAIN ),
	);

	$locale = _WP_Editors::$mce_locale;
	$translated = 'tinyMCE.addI18n("'. $locale .'.ysp_button", '. wp_json_encode( $strings ) .");\n";

	return $translated;
}

$strings = ysp_button_translation();
