<?php

/**
 * 8 Main Address
 * ex: [ysp_address].
 */
if (!function_exists('ysp_address_shortcode')) {
    function ysp_address_shortcode($atts)
    {
        $options = shortcode_atts(
            array(
                'tag' => 'div',
                'class' => '',
            ), $atts
        );

        $output = '';

        $address = ysp_get_option('ysp-company-details-address');
        
        $class      = $options['class'] ? ' '. $options['class'] : '';
        $tag_start  = $options['tag'] ? '<'. $options['tag'] .' class="c-address'. $class .'">' : '';
        $tag_end    = $options['tag'] ? '</'. $options['tag'] .'>' : '';

        $output = $address ? $tag_start . $address . $tag_end : $tag_start . __( 'No address set', YSP_TEXT_DOMAIN ) . $tag_end;

        return $output;
    }
}