<?php

/**
 * 9 Main Email address
 * ex: [ysp_email].
 */
if (!function_exists('ysp_email_shortcode')) {
    function ysp_email_shortcode($atts)
    {
        $options = shortcode_atts(
            array(
                'class' => '',
                'link' => false,
                'secondary' => false,
            ), $atts
        );

        $emails = array(
            ysp_get_option('ysp-company-details-email'),
            ysp_get_option('ysp-company-details-email-two'),
        );

        $email = $options['secondary'] ? $emails[1] : $emails[0];

        $email = $email ? $email : __( 'No email set', YSP_TEXT_DOMAIN );

        $output = '';

        $element_class = $options['class'] ? ' '.'class="'. $options['class'] .'"' : '';
        $output = $options['link'] ? '<a href="mailto:'. $email .'"'. $element_class .'>'. $email .'</a>' : $email;

        return $output;
    }
}