<?php

/**
 * 8 Main Phone number
 * ex: [ysp_phone_nr].
 */
if (!function_exists('ysp_phone_nr_shortcode')) {
    function ysp_phone_nr_shortcode($atts)
    {
        $options = shortcode_atts(
            array(
                'class' => '',
                'link' => false,
                'secondary' => false,
            ), $atts
        );

        $phone_numbers = array(
            ysp_get_option('ysp-company-details-tel'),
            ysp_get_option('ysp-company-details-tel-two'),
        );

        $phone_nr = $options['secondary'] ? $phone_numbers[1] : $phone_numbers[0];

        $phone = $phone_nr ? $phone_nr : __( 'No phone number set', YSP_TEXT_DOMAIN );

        $output = '';

        $element_class = $options['class'] ? ' '.'class="'. $options['class'] .'"' : '';
        $output = $options['link'] ? '<a href="tel:'. $phone .'"'. $element_class .'>'. $phone .'</a>' : $phone;

        return $output;
    }
}