<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}
?>
<div class="ysp_vc_padding" data-padding="true">
	<input name="<?php echo esc_attr( $settings['param_name'] ) ?>" class="wpb_vc_param_value <?php echo esc_attr( $settings['param_name'] ) ?>
	<?php echo esc_attr( $settings['type'] ) ?> '_field" type="hidden" value="<?php echo esc_attr( $value ) ?>"/>
	<table class="vc_table">
		<tr>
			<th><?php _e( 'Padding Type', YSP_TEXT_DOMAIN ) ?></th>
			<th><?php _e( 'Padding Size', YSP_TEXT_DOMAIN ) ?></th>
		</tr>
		<?php foreach ( $sizes as $key => $size ) :  ?>
			<tr>
				<td>
					<span title="<?php echo $size ?>"><?php echo $size ?></span>
				</td>
				<td>
					<?php echo $param->sizeControl( $key ) ?>
				</td>				
			</tr>
		<?php endforeach ?>
	</table>
</div>
<script type="text/javascript">
	window.YspVcI8nPaddingParam = <?php echo json_encode(array(
        'inherit' => __('Inherit:', YSP_TEXT_DOMAIN),
        'inherit_default' => __('Inherit from default', YSP_TEXT_DOMAIN),
    )) ?>;
</script>
