<?php
/**
 * yourstyle+ Entry Title
 *
 * @package yourstyle+
 */

if (!function_exists('ysp_entry_title')) {
    function ysp_entry_title() {

        $page_title = get_post_meta( ysp_get_current_page_id(), 'page_title_visibility', true );
        $page_title = $page_title ? $page_title : '';
        ?>

        <?php do_action('ysp_before_entry_title'); ?>
        <?php
            if ( $page_title !== 'hide' ) :
            ?>
                <h1 class="entry-title"><?php the_title(); ?></h1>
            <?php
            endif;
        ?>
        <?php do_action('ysp_after_entry_title'); ?>

        <?php
    }
}