<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package yourstyle+
 */

$ysp_template_layout = 'normal';
do_action('ysp_content_layout_start');

    while (have_posts()) :
        the_post();

        get_part('content', 'single');

        // If comments are open or we have at least one comment, load up the comment template.
        if (comments_open() || get_comments_number()) :
            comments_template();
        endif;

    endwhile; // End of the loop.
        
    if ( ysp_get_option('ysp-blog-single-prevnext-links') ) :
        ysp_single_navigation();
    endif;

do_action('ysp_content_layout_end');