<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package yourstyle+
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class( 'u-background-color-white u-p-2 u-p-md-4' ); ?>>

	<header class="entry-header">
        <?php
            do_action('ysp_entry_header');
        ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
            do_action('ysp_prepend_entry_content');

            the_content();

            do_action('ysp_append_entry_content');
		?>
    </div><!-- .entry-content -->
    
	<footer class="entry-footer">
        <?php
            do_action('ysp_prepend_entry_footer');

            ysp_entry_footer();

            do_action('ysp_append_entry_footer');
        ?>
    </footer><!-- .entry-footer -->

</article><!-- #post-<?php the_ID(); ?> -->